Bug 237788 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: audit   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Grubb
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 237789
TreeView+ depends on / blocked
 
Reported: 2007-04-25 13:52 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:01 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0602
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:04:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0602 normal SHIPPED_LIVE audit bug fix and enhancement update 2007-10-30 15:35:36 UTC

Description Michal Marciniszyn 2007-04-25 13:52:14 UTC
Description of problem:
Status function should always be finished when running the init script (at least
when we have root permissions). This code disables that in some occasion:
test -x /sbin/auditd  || exit 5
test -f /etc/audit/auditd.conf  || exit 6

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. mv /etc/audit/auditd.conf.gotcha
2. service auditd status
3. echo $?
  
Actual results:
6

Expected results:
correct status code depending on the state of the function

Additional info:
This script is nearly correct, just move the tests into the start function.
For example see:
http://devserv.devel.redhat.com/~mmarcini/amd

Comment 1 RHEL Product and Program Management 2007-05-01 19:24:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Steve Grubb 2007-05-04 13:22:01 UTC
init scripts were updated in audit-1.5.3 currently in rawhide.

Comment 4 Steve Grubb 2007-06-26 20:00:07 UTC
audit-1.5.4.-1 was built to solve this problem. Thanks for reporting it.

Comment 8 errata-xmlrpc 2007-11-07 17:04:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0602.html



Note You need to log in before you can comment on or make changes to this bug.